# $Revision: 1.18 $, $Date: 2004/06/28 15:58:31 $
Summary:	Mathomatic - a symbolic math program
Summary(pl):	Mathomatic - program do matematyki symbolicznej
Name:		mathomatic
Version:	11.2d
Release:	1
License:	LGPL
Group:		Applications/Math
Source0:	http://www.panix.com/~gesslein/%{name}-%{version}.tgz
# Source0-md5:	866d3efde552f8a68a0440bc4d7f0207
URL:		http://www.mathomatic.com/
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mathomatic is a symbolic math program that can automatically solve,
simplify, differentiate, combine, and compare algebraic equations,
perform polynomial and complex arithmetic, etc. The C source code is
available for a UNIX/Linux freeware version. It was written by George
Gesslein II and has been under development since 1986.

%description -l pl
Mathomatic jest pakietem do oblicze w matematyce symbolicznej ktry
moe automatycznie rozwizywa, upraszaszcza, rnicowa, kombinowa
i porwnywa rwnania algebraiczne. Kod w C jest dostpny darmowo dla
rodowisk UNIX/Linux. Zosta napisany przez George Gesslein II i jest
rozwijany od roku 1986.

%prep
%setup -q -n am

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DUNIX -DREADLINE -c" \
	LDFLAGS="%{rpmldflags} -lreadline"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}

install -D am $RPM_BUILD_ROOT%{_bindir}/am
install -D am.1 $RPM_BUILD_ROOT%{_mandir}/man1/am.1
echo ".so am.1" > $RPM_BUILD_ROOT%{_mandir}/man1/amc.1

cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/amc
#!/bin/sh
am -c
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt *.htm
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_examplesdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mathomatic.spec,v $
Revision 1.18  2004/06/28 15:58:31  undefine
- update to 11.2d, release 1 for RA

Revision 1.17  2004/06/24 20:11:04  undefine
- update to 11.2c

Revision 1.16  2004/05/30 18:00:40  qboosh
- allow spaces in __cc

Revision 1.15  2004/05/30 14:16:53  undefine
- update to 11.1d, release 2 for AC

Revision 1.14  2004/05/13 14:56:45  undefine
- release 2 for AC

Revision 1.13  2004/05/13 14:55:13  undefine
- upgrade to 11.1

Revision 1.12  2004/03/28 23:12:03  undefine
- release 2 for AC

Revision 1.11  2004/03/28 23:09:55  undefine
- update to 10.9c

Revision 1.10  2004/02/29 18:55:21  undefine
- update to 10.8e, add optflags -O0 (yes, stupid...)

Revision 1.9  2004/02/13 21:47:10  undefine
- update to 10.8c. release 0.1, waing for qboosh ;) (warning after compiling
  with -O1 or higher optimalization)

Revision 1.8  2004/01/10 12:23:37  undefine
- update to 10.8

Revision 1.7  2003/12/01 01:46:29  undefine
- update to 10.7b

Revision 1.6  2003/09/05 17:01:20  undefine
- update to 10.5

Revision 1.5  2003/08/18 16:35:06  blues
- cleanup

Revision 1.4  2003/08/14 14:10:54  qboosh
- cleanups once more

Revision 1.3  2003/08/14 13:50:33  undefine
- renamed ac to amc to avoid conflict with psacct, release 2

Revision 1.2  2003/08/14 13:45:09  qboosh
- cleanups

Revision 1.1  2003/08/14 13:31:07  undefine
- initial pld version, stbr ra-updates-general
